summaryrefslogtreecommitdiffstats
path: root/tests/test_python/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test_python/test.sh')
-rwxr-xr-xtests/test_python/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/test_python/test.sh b/tests/test_python/test.sh
new file mode 100755
index 0000000..f042237
--- /dev/null
+++ b/tests/test_python/test.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+. tests/shlib/common.sh
+
+enter_suite python final
+
+for file in "$ROOT"/tests/test_python/test_*.py ; do
+ test_name="${file##*/test_}"
+ if ! "$PYTHON" "$file" --verbose --catch ; then
+ fail "${test_name%.py}" F "Failed test(s) from $file"
+ fi
+done
+
+exit_suite